Skip to main content
`Ctrl`+`K`

# MatFindZeroDiagonals

Finds all the rows of a matrix that have zero or no diagonal entry in the matrix

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatFindZeroDiagonals(Mat mat, IS *is)

Collective

## Input Parameter

- mat - the matrix

## Output Parameter

- is - if any rows have zero diagonals this contains the list of them

## See Also

Matrices, `Mat`, `MatMultTranspose()`, `MatMultAdd()`, `MatMultTransposeAdd()`

## Level

developer

## Location

src/mat/interface/matrix.c

## Implementations

MatFindZeroDiagonals_MPIAIJ() in src/mat/impls/aij/mpi/mpiaij.c
MatFindZeroDiagonals_SeqAIJ() in src/mat/impls/aij/seq/aij.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages